com.lowagie.text.pdf

## Class CFFFont.Font

- java.lang.Object
- - com.lowagie.text.pdf.CFFFont.Font

Enclosing class:
  CFFFont

    protected final class CFFFont.Font
    extends java.lang.Object

TODO Changed from private to protected by Ygal&Oren

### Field Summary

Fields
`int[]` `charset`
`int` `CharsetLength`
`int` `charsetOffset`
`int` `charstringsOffset`
`int[]` `charstringsOffsets`
`int` `CharstringType`
`int` `encodingOffset`
`int` `FDArrayCount`
`int` `fdarrayOffset`
`int[]` `FDArrayOffsets`
`int` `FDArrayOffsize`
`int[]` `fdprivateLengths`
`int[]` `fdprivateOffsets`
`int[]` `fdprivateSubrs`
`int[]` `FDSelect`
`int` `FDSelectFormat`
`int` `FDSelectLength`
`int` `fdselectOffset`
`java.lang.String` `fullName`
`boolean` `isCID`
`java.lang.String` `name`
`int` `nglyphs`
`int` `nstrings`
`int` `privateLength`
`int` `privateOffset`
`int` `privateSubrs`
`int[]` `PrivateSubrsOffset`
`int[][]` `PrivateSubrsOffsetsArray`
`int[]` `SubrsOffsets`

### Constructor Summary

Constructors
`protected` `CFFFont.Font()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### fullName

    public java.lang.String fullName

#### isCID

    public boolean isCID

#### privateOffset

    public int privateOffset

#### privateLength

    public int privateLength

#### privateSubrs

    public int privateSubrs

#### charstringsOffset

    public int charstringsOffset

#### encodingOffset

    public int encodingOffset

#### charsetOffset

    public int charsetOffset

#### fdarrayOffset

    public int fdarrayOffset

#### fdselectOffset

    public int fdselectOffset

#### fdprivateOffsets

    public int[] fdprivateOffsets

#### fdprivateLengths

    public int[] fdprivateLengths

#### fdprivateSubrs

    public int[] fdprivateSubrs

#### nglyphs

    public int nglyphs

#### nstrings

    public int nstrings

#### CharsetLength

    public int CharsetLength

#### charstringsOffsets

    public int[] charstringsOffsets

#### charset

    public int[] charset

#### FDSelect

    public int[] FDSelect

#### FDSelectLength

    public int FDSelectLength

#### FDSelectFormat

    public int FDSelectFormat

#### CharstringType

    public int CharstringType

#### FDArrayCount

    public int FDArrayCount

#### FDArrayOffsize

    public int FDArrayOffsize

#### FDArrayOffsets

    public int[] FDArrayOffsets

#### PrivateSubrsOffset

    public int[] PrivateSubrsOffset

#### PrivateSubrsOffsetsArray

    public int[][] PrivateSubrsOffsetsArray

#### SubrsOffsets

    public int[] SubrsOffsets

### Constructor Detail

#### CFFFont.Font

    protected CFFFont.Font()